#ifndef __GUI_CAPTURE_H
#define __GUI_CAPTURE_H

#include "GUI_types.h"

#define txtCSCustom             "Custom Setting"
#define txtCSTitle              "Capture Setting"
#define txtCSMPEG1              "MPEG1"
#define txtCSVCD                "VCD"
#define txtCSSVCD               "SVCD"
#define txtCSMPEG2              "MPEG2"
#define txtCSDVD                "DVD"
#define txtCSVideoBR            "Video Bit Rate"
#define txtCSvbr4M              "4 Mbps"
#define txtCSvbr6M              "6 Mbps"
#define txtCSvbr10M             "10 Mbps"
#define txtCSAudioBR            "Audio Bit Rate"
#define txtCSabr192K            "192 KHz"
#define txtCSabr224K            "224 KHz"
#define txtCSabr384K            "384 KHz"
#define txtCSRecordType         "Record Type"
#define txtCSCBR                "CBR"
#define txtCSVBR                "VBR"
#define txtCSAudioSR            "Audio Sample Rate"
#define txtCSasr44K             "44.1 KHz"
#define txtCSasr48K             "48 KHz"

//int EventHandler(int event, void *data);
extern void SetCSCustom(PGUI_MENU menu);
extern GUI_MENU gmCSCustom;
void LoadSetting();
DWORD LoadSettingFromFile();
void LoadDefaultSetting(DWORD state);

void SaveSetting();
//DWORD SaveSettingToFile();
GR_BOOL SaveSettingToFile();
CONFIG config;
#define fileCaptureConfig	"GUI_capture.conf"

#define LOADFILE_SUCCESS        0x00000000
#define LOADFILE_FAIL_NOFILE    0x00000001
#define LOADFILE_FAIL_QUALITY   0x00000010
#define LOADFILE_FAIL_MPEGTYPE  0x00000020
#define LOADFILE_FAIL_CSCUSTOM  0x00000040

#endif
