#ifndef __GUI_KEYS_H
#define __GUI_KEYS_H

#include "GUI_definition.h"

#ifdef DIVISION_TEST
#define KEY_ENTER               101
#define KEY_UP                  113
#define KEY_DOWN                97
#define KEY_LEFT                44
#define KEY_RIGHT               46
#define KEY_CANCEL              99
#define KEY_POWER               120
#define KEY_MENU                109
#define KEY_FILE_MENU           110
#define KEY_RESERVATION         103
#define KEY_PLAY                112
#define KEY_STOP                115
#define KEY_PAUSE               104
#define KEY_RECORD_PLAY         121
#define KEY_SLOWER              108
#define KEY_FASTER              102
#define KEY_REVFASTER           118
#define KEY_CHNL_UP             96
#define KEY_CHNL_DN             9
#define KEY_FILE_HEAD           105
#define KEY_FILE_TAIL           107
#define KEY_SHOW                111
#define KEY_AUTO_SCAN           122
#define KEY_INPUT               119
#define KEY_MODE_TIMESHIFT      116
#endif

extern GUI_CALLBACK Init_keys();

void EVENT_FUNC keysInit();

PGUI_SHORTCUT AddShortCut(GUI_CALLBACK func);
#ifdef DIVISION_TEST
extern PGUI_SHORTCUT EVENT_FUNC GetShortCutList();
#else
PGUI_SHORTCUT EVENT_FUNC GetShortCutList();
#endif
int CALLBACK ShortCutHandler(int key, void *data);
#endif
