#include "GUI_types.h"
#include "GUI_file.h"

FILELIST pListFile;
int listFileAmount;
int listFileIndex;

void InitFileItem()
{
   pListFile = NULL;
   listFileAmount = 0;
}

FLITEM *AllocateFileItem()
{
   FLITEM *item1;
   item1 = (FLITEM *)malloc(sizeof(FLITEM));
   item1->pPrev = item1;
   item1->pNext = item1;
   return item1;
}

FLITEM *AddFileItem(FLITEM *pItem)
{
   FLITEM *item1;
   if (pItem != NULL)
   {
      if (pListFile == NULL)
      {
         listFileAmount = 1;
         pListFile = pItem;
      }
      else
      {
         item1 = pListFile->pPrev;
         item1->pNext = pItem;
         pListFile->pPrev = pItem;
         pItem->pPrev = item1;
         pItem->pNext = pListFile;
         listFileAmount++;
         return pItem;
      }
   }
   return NULL;
}
FLITEM *RemoveFileItem(FLITEM *pItem)
{
   FLITEM *pItem1,*pItem2;
   if (pItem)
   {
      pItem1 = pItem->pNext;
      if (pListFile == pItem)
         pListFile = pItem1;
      pItem2 = pItem->pPrev;
      pItem1->pPrev = pItem2;
      pItem2->pNext = pItem1;
      listFileAmount--;
      if (listFileAmount==0)
         pListFile = NULL;
      return pItem;
   }
   return NULL;
}
FLITEM *GetFileItem(int index)
{
   int i;
   FLITEM *pItem1=NULL;
   if (index<0)
      return NULL;
   if (index<listFileAmount)
   {
      pItem1 = pListFile;
      for(i=0;i<index;i++)
         pItem1 = pItem1->pNext;
   }
   return pItem1;
}
int GetFileItemCount()
{
   return listFileAmount;
}
