#!/bin/bash
#

SED=/bin/sed
TR=/usr/bin/tr
TMP=/tmp/.config
CONFIG=.config

. ${CONFIG}

USER_VAR=
CONFILE=
SET_VAR=
replace_var()
{
	TMP_VAR1=`${SED} -n -e "/^${USER_VAR}/p" ${CONFILE}`
	TMP_VAR2=${SET_VAR}
	${SED} "s/${TMP_VAR1}/${TMP_VAR2}/g" ${CONFILE} > ${TMP}
	dos2unix ${TMP} > /dev/null 2>&1
	cp -f ${TMP} ${CONFILE}
	rm -f ${TMP}
}


######################### Platform #############################

[ -z ${KENDIN_KS8695P} ]  &&  KENDIN_KS8695P=n

if [ ${KENDIN_KS8695P} = "y" ] ; then
	CODEC=SIGMADESIGN_EM8476
fi

######################### Language #############################

if [ "${FONT_ARPHIC_YENTI_HIFONT_JNL1L2}" = "y" ]; then
	LANGUAGE_PACK=ARPHIC_YENTI_HIFONT_JNL1L2
	FONT_TYPE=HIFONT
fi

######################## modify LANGUAGE_VERSION ###############
SYS_CFG=vendors/${VENDOR_DIR}/fonts/${FONT_DIR}/language_info
CFG1="LANGUAGE_VERSION=${LANGUAGE_VER}"
CFG2=`${SED} -n -e "/^LANGUAGE_VER/p" ${SYS_CFG}`

CONFILE=${SYS_CFG}
USER_VAR=${CFG2}
SET_VAR=${CFG1}
replace_var

######################## modify LANGUAGE_PACK ###############

SYS_CFG=vendors/${VENDOR_DIR}/fonts/${FONT_DIR}/language_info
CFG1="LANGUAGE_PACK=${LANGUAGE_PACK}"
CFG2=`${SED} -n -e "/^LANGUAGE_PACK/p" ${SYS_CFG}`

CONFILE=${SYS_CFG}
USER_VAR=${CFG2}
SET_VAR=${CFG1}
replace_var

######################## modify SKINS #########################
SYS_CFG=vendors/${VENDOR_DIR}/xml/${OSD_DIR}/skins_ver
CFG1="SKINS_VERSION=${SKINS_VER}"
CFG2=`${SED} -n -e "/^SKINS_VER/p" ${SYS_CFG}`

CONFILE=${SYS_CFG}
USER_VAR=${CFG2}
SET_VAR=${CFG1}
replace_var


