#ifndef __GUI_TEXT_H
#define __GUI_TEXT_H

/////// define item text ///////
// Main menu
#define txtFileMenu		"File Menu"
#define txtSystem  		"System"
#define txtCapture 		"Capture"
#define txtReservation		"Reservation"
#define txtInfo			"Info"
// Sub Menu
// sub menu of File Menu
#define txtFMFileList		"File List"
#define txtFMDeleteAll		"Delete All"
// sub menu of System Setting
#define txtSSVideoInput		"Video Input Source"
#define txtSSTimeSet		"Current Time"
#define txtSSAutoScan		"Auto Scan"
// sub menu of Capture Setting
#define txtCSSP			"SP"
#define txtCSEP			"EP"
#define txtCSLP			"LP"
#define txtCSCustom		"Custom"
// sub menu of Reservation
#define txtRENew		"New Item"
#define txtREList		"List View"
#define txtREDeleteAll		"Delete All"

// Setting menu
// set menu of Capture Setting
#define txtCSSubscrip		"Custom Setting"
#define txtCSTitle              "Capture Setting"
#define txtCSMPEG1		"MPEG1"
#define txtCSVCD		"VCD"
#define txtCSSVCD               "SVCD"
#define txtCSMPEG2              "MPEG2"
#define txtCSDVD                "DVD"
#define txtCSVideoBR            "Video Bit Rate"
#define txtCSvbr4M              "4 Mbps"
#define txtCSvbr6M              "6 Mbps"
#define txtCSvbr10M             "10 Mbps"
#define txtCSAudioBR            "Audio Bit Rate"
#define txtCSabr192K            "192 KHz"
#define txtCSabr224K            "224 KHz"
#define txtCSabr384K            "384 KHz"
#define txtCSRecordType         "Record Type"
#define txtCSCBR                "CBR"
#define txtCSVBR                "VBR"
#define txtCSAudioSR            "Audio Sample Rate"
#define txtCSasr44K             "44.1 KHz"
#define txtCSasr48K             "48 KHz"
// set menu of System Setting
#define txtVISubscrip		"Video Input Source"
#define txtVIVideoInput         "Video Input Source"
#define txtVICATV               "CATV"
#define txtVITuner              "Tuner"
#define txtVISVideo             "S-Video"
#define txtVIAV                 "AV"
#define txtCTSubscrip		"Current Time Setting"
#define txtSSRTCSet             "Current Time"
// set menu of File List
#define txtFLSubscrip		"File List"
#define txtFLDate               "Date"
#define txtFLTime               "Time"
#define txtFLTotalTime          "Total Time"
#define txtFLVideoInputSource   "Input"
#define txtFLChannel            "Channel"
// set menu of Schedule List
#define txtRLSubscrip		"Schedule List"
#define txtRLDate               "Date"
#define txtRLTimeStart          "Start"
#define txtRLTimeEnd 	        "End"
#define txtRLVideoInputSource   "Input"
#define txtRLChannel            "Channel"
#define txtRLMode		"Mode"
#define txtRLMode_Spec		"Specific"
#define txtRLMode_Every		"Every"
#define txtRLMode_MtoF		"Mon~Fri"
#define txtRLMode_MtoS		"Mon~Sat"
// set menu of New Schedule
#define txtRNSubscrip		"New Schedule Item"
#define txtRNVideoInput         "Video Input Source"
#define txtRNCATV               "CATV"
#define txtRNTuner              "Tuner"
#define txtRNSVideo             "S-Video"
#define txtRNAV                 "AV"
#define txtRNCHSelect           "CH Select"
#define txtRNRecDate          	"Record Date"
#define txtRNRecTime          	"Record Time"
#define txtRNRecordMode         "Record Mode"
#define txtRNRMSpecDate         "Specific Date"
#define txtRNEveryDay           "Every Day"
#define txtRNMonToFri           "Mon to Fri"
#define txtRNMonToSat           "Mon to Sat"

// text for display info
#define txtInfoSP		"SP"
#define txtInfoEP		"EP"
#define txtInfoLP		"LP"
#define txtInfoCustom		"Custom"
#define txtInfoCATV		"CATV"
#define txtInfoTuner		"Tuner"
#define txtInfoSVideo		"S-Video"
#define txtInfoAV		"AV"
#define txtConflictOverwrite	"Overwrite"
#define txtConflictCancel	"Cancel"
// Some symbols
#define txtInterval1		"/"
#define txtInterval2            ":"
#define txtInterval3		"~"
#define txtHr			"hr"
#define txtMin			"m"
#define txtSec			"s"
#define txt10x			"10x"
#define txt20x			"20x"
#define txt60x			"60x"
// file names of images in menu
#define fileBgMain		"main.jpg"
#define fileBgMainItem		"item_bg_main.jpg"
#define fileBgSubItem		"item_bg_sub.jpg"

#define fileBgFileMenu		"bg_filemenu.jpg"
#define fileBgSystem		"bg_system.jpg"
#define fileBgCapture		"bg_capture.jpg"
#define fileBgReservation	"bg_reservation.jpg"
#define fileBgInfo		"bg_info.jpg"

#define fileBgMessage		"bg_message.jpg"

#define fileMSGYes		"msg_yes.gif"
#define fileMSGNo		"msg_no.gif"

#define fileBgFMItem		"item_bg_fm.jpg"
#define fileFMPlay		"fm_play.jpg"
#define fileFMDelete		"fm_delete.jpg"
#define fileFMBurn              "fm_burn.jpg"
#define fileFMScrlUp_Y		"fm_scrl_up_y.gif"
#define fileFMScrlUp_N		"fm_scrl_up_n.gif"
#define fileFMScrlDn_Y		"fm_scrl_dn_y.gif"
#define fileFMScrlDn_N		"fm_scrl_dn_n.gif"

#define fileBgREItem		"item_bg_re.jpg"
#define fileREModify		"re_modify.jpg"
#define fileREDelete		"re_delete.jpg"
#define fileREScrlUp_Y		"re_scrl_up_y.gif"
#define fileREScrlUp_N		"re_scrl_up_n.gif"
#define fileREScrlDn_Y		"re_scrl_dn_y.gif"
#define fileREScrlDn_N		"re_scrl_dn_n.gif"
// file names of images in front
#define fileDNBar		"dn_bar.gif"
#define fileDNBarArrow		"dn_bar_arrow.gif"
#define fileDNIconPlay		"dn_icon_play.gif"
#define fileDNIconPause		"dn_icon_pause.gif"
#define fileDNIconRec		"dn_icon_rec.gif"
#define fileDNIconSlow		"dn_icon_slow.gif"
#define fileDNIconFF		"dn_icon_ff.gif"
#define fileDNIconFB		"dn_icon_fb.gif"
#define fileDNIconLive		"dn_icon_live.gif"
#define fileUPBgInfo		"up_bg_info.gif"
#define fileDNPlayBar		"dn_play_bar.gif"
#define fileDNPlayBarDot	"dn_play_bar_dot.gif"
#endif
