#ifndef __GUI_CAPTURE_H
#define __GUI_CAPTURE_H

#include "GUI_types.h"

#define txtSSVideoInput         "Video Input Source"
#define txtVIVideoInput         "Video Input Source"
#define txtVICATV               "CATV"
#define txtVITuner              "Tuner"
#define txtVISVideo             "S-Video"
#define txtVIAV1                "AV1"
#define txtVIAV2		"AV2"

extern GUI_MENU gmSSVideoInput;
void LoadSetting();
DWORD LoadSettingFromFile();
void LoadDefaultSetting(DWORD state);

void SaveSetting();
GR_BOOL SaveSettingToFile();

int cfgInput, cfgChannel;
#define fileInputConfig		"GUI_input.conf"

#define LOADFILE_SUCCESS        0x00000000
#define LOADFILE_FAIL_NOFILE    0x00000001
#define LOADFILE_FAIL_INPUT     0x00000010
#define LOADFILE_FAIL_CHANNEL   0x00000020
#endif
